Bug 214784 - Implement a simpler Attach Wizard
Implement a simpler Attach Wizard
Status: RESOLVED FIXED
Product: profiler
Classification: Unclassified
Component: Attach
7.3
All All
: P2 (vote)
: 7.3
Assigned To: Jiri Sedlacek
issues@profiler
bugdb_14028714
: PLAN
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-26 12:51 UTC by Jiri Sedlacek
Modified: 2012-07-24 10:44 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jiri Sedlacek 2012-06-26 12:51:16 UTC
Current Attach Wizard is quite complex for the most typical setup - local dynamic attach.

There are some usability problems - it's not clear at which point the user can finish the wizard.

The servers integration is outdated, recent versions of many of them are not supported.

For 7.3 a new Attach Wizard should be implemented to address these problems.
Comment 1 Jiri Sedlacek 2012-06-26 13:02:33 UTC
Initial implementation in http://hg.netbeans.org/profiler-main/rev/b9ee16566bfa.
Comment 2 Quality Engineering 2012-07-02 11:59:47 UTC
Integrated into 'main-golden', will be available in build *201207020907* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/b9ee16566bfa
User: Jiri Sedlacek <jis@netbeans.org>
Log: Initial implementation of #214784 - simplified Attach Wizard
Comment 3 Jiri Sedlacek 2012-07-23 14:58:29 UTC
Defined help id - AttachDialog.HelpCtx.
http://hg.netbeans.org/profiler-main/rev/971fc668d1e1
Comment 4 Jiri Sedlacek 2012-07-23 15:07:38 UTC
Providing help content for Attach Dialog tracked by Bug 215838.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo